GP-DISPLAY-HTML(1)

NAME
gp-display-html - generate an HTML based directory structure to browse the profiles

SYNOPSIS
gprofng display html [OPTION(S)] EXPERIMENT(S)

DESCRIPTION
Process one or more experiments to generate a directory containing the index.html file that may be used to browse the experiment data.

OPTIONS

--help
    print usage information and exit.

--version
    print the version number and exit.

--verbose {on|off}
    enable/disable verbose mode that shows diagnostic messages about the processing of the data; default is off.

-d, --debug {on|s|m|l|xl|off}
    control the printing of run time information to assist with troubleshooting, or further development of this tool; on gives a modest amount of information; s, m, l, or xl gives an increasing amount of information and off disables the printing of debug information; note that currently on, s, m, and l are equivalent; this is expected to change in future updates; default is off.

-hp, ----highlight-percentage <value>
    a percentage value in the interval [0,100] to select and color code source lines as well as instructions that are within this percentage of the maximum metric value(s); a value of zero (-hp 0) disables this feature; the default is 90.

-o, --output <dir-name>
    use <dir-name> to store the results in; the default name is ./display.<n>.html with <n> the first positive integer number not in use; an existing directory is not overwritten.

-O, --overwrite <dir-name>
    use <dir-name> to store the results in and overwrite any existing directory with the same name; make sure that umask is set to the correct access permissions.

-q, --quiet {on|off}
    disable/allow the display of all warning, debug and verbose messages; if set to on, the settings for verbose, warnings and debug are ignored; default is off.

-w, --warnings {on|off}
    enable/disable run time warning messages; default is on.

DOCUMENTATION

A getting started guide for gprofng is maintained as a Texinfo manual. If the info and gprofng programs are properly installed at your site, the command "info gprofng" should give you access to this document.

SEE ALSO

gprofng(1), gp-archive(1), gp-collect-app(1), gp-display-src(1), gp-display-text(1)

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.